Saltar al contenido principal
PATCH
/
v1
/
organizations
/
{organization_id}
/
ledgers
/
{ledger_id}
/
transactions
/
{transaction_id}
Actualizar una Transacción
curl --request PATCH \
  --url https://ledger.sandbox.lerian.net/v1/organizations/{organization_id}/ledgers/{ledger_id}/transactions/{transaction_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "PIX - Updated",
  "metadata": {
    "notes": "Payment reference updated",
    "originalAmount": "1000",
    "channel": "pix",
    "updatedBy": "system",
    "reason": "customer_request"
  }
}
'
{ "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "parentTransactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "description": "<string>", "route": "<string>", "status": { "code": "<string>", "description": "<string>" }, "amount": "<string>", "assetCode": "<string>", "chartOfAccountsGroupName": "<string>", "source": [ "<string>" ], "destination": [ "<string>" ], "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "deletedAt": "2023-11-07T05:31:56Z", "operations": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "transactionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "ledgerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "accountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "accountAlias": "<string>", "balanceId": "<string>", "balanceKey": "<string>", "description": "<string>", "type": "CREDIT", "assetCode": "<string>", "chartOfAccounts": "<string>", "route": "<string>", "amount": { "value": "<string>" }, "balance": { "available": "<string>", "onHold": "<string>", "version": 123 }, "balanceAfter": { "available": "<string>", "onHold": "<string>", "version": 123 }, "status": { "code": "<string>", "description": "<string>" }, "balanceAffected": true, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "deletedAt": "2023-11-07T05:31:56Z", "metadata": {} } ], "metadata": {} }

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Encabezados

Authorization
string

El token de autorización. Este encabezado es requerido si su entorno tiene Access Manager habilitado.

Content-Type
string

El tipo de medio del recurso. El valor recomendado es application/json.

X-Request-Id
string<uuid>

Un identificador único utilizado para rastrear y seguir cada solicitud.

Parámetros de ruta

organization_id
string
requerido

El identificador único de la Organización asociada al Ledger.

ledger_id
string
requerido

El identificador único del Ledger asociado.

transaction_id
string
requerido

El identificador único de la transacción que desea recuperar.

Cuerpo

application/json
description
string

The description for the transaction.

metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.

Respuesta

Indica que la solicitud fue exitosa y la respuesta contiene los datos esperados.

id
string<uuid>

The unique identifier of the transaction.

parentTransactionId
string<uuid> | null

El identificador único de la transacción padre/original para reversiones. Este campo es completado por el servidor cuando una transacción es revertida y debe ser tratado como solo lectura por los clientes.

organizationId
string<uuid>

The unique identifier of the Organization.

ledgerId
string<uuid>

El identificador único del Ledger.

description
string

Description of the transaction.

route
string

Specifies the Transaction Route associated with the transaction.

status
object

The transaction status (pending, completed, reversed).

amount
string

The sent amount.

assetCode
string

The name of the asset used in the operation.

chartOfAccountsGroupName
string

The name of the chart-of-accounts group.

source
string[]

The list of accounts used as source.

destination
string[]

The list of accounts used as destination.

createdAt
string<date-time>

Timestamp of creation (UTC).

updatedAt
string<date-time>

Timestamp of last update (UTC).

deletedAt
string<date-time> | null

Timestamp of soft deletion, if applicable (UTC).

operations
object[]
metadata
object

An object containing key-value pairs to add as metadata, where the field name is the key and the field value is the value. For example, to add a Cost Center, use 'costCenter': 'BR_11101997'.